# emdi: Estimating and Mapping Disaggregated Indicators

Functions that support estimating, assessing and mapping regional disaggregated indicators. So far, estimation methods comprise direct estimation, the model-based unit-level approach Empirical Best Prediction (see "Small area estimation of poverty indicators" by Molina and Rao (2010) 
[doi:10.1002/cjs.10051](https://doi.org/10.1002/cjs.10051)), the area-level model (see "Estimates of income for small places: An application of James-Stein procedures to Census Data" by (Fay and Herriot 1979) [doi:10.1080/01621459.1979.10482505](https://doi.org/10.1080/01621459.1979.10482505)) and various extensions of it (adjusted variance estimation methods, log and arcsin transformation, spatial, robust and measurement error models), as well as their precision estimates. The assessment of the used model is supported by a summary and diagnostic plots. For a suitable presentation of estimates, map plots can be easily created. Furthermore, results can easily be exported to excel. For a detailed description of the package and the methods used see "The R Package emdi for Estimating and Mapping Regionally Disaggregated Indicators" by Kreutzmann et al. (2019) [doi:10.18637/jss.v091.i07](http://dx.doi.org/10.18637/jss.v091.i07).
